<?php
namespace Controller;

use Util\Environment;
use Zeedhi\Framework\DTO\Row;
use ZeedhiUser\Services\AccessControl\JsonLoader;

class AccessControlController {


    protected $jsonLoader;
    protected $loginService;
    protected $environment;

    function __construct(Environment $environment, JsonLoader $jsonLoader, \Service\LoginService $loginService) {
        $this->jsonLoader = $jsonLoader;
        $this->loginService = $loginService;
        $this->environment = $environment;
    }

    public function sync ($request, $response) {
        $jsons = $this->jsonLoader->loadJsons($this->environment->getJsonsDirectories(), $this->environment->getContainersJsonPath());

        $row = new Row(array(
            "requestType" => "Row",
            "row" =>
                array(
                    "projectId" => $this->environment->getProjectId(),
                    "projectUniqueId" => $this->environment->getProjectUniqueId(),
                    "jsons" => $jsons
                )
        ));

        $this->loginService->getSession($this->environment->getToken(), '/zi_clientSync', $row);
    }
}