/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_GRUPOFISCAL                                              */
/* Tabela : GRUPOFISCAL                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 23/01/2004 - Newton N. Santos                                              */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_GRUPOFISCAL
BEFORE INSERT OR UPDATE OR DELETE
ON GRUPOFISCAL FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUGRFS := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDGRUPOFISC,0) <> NVL(:NEW.CDGRUPOFISC,0)) OR
         (NVL(:OLD.DSGRUPOFISC,0) <> NVL(:NEW.DSGRUPOFISC,0)) THEN
         :NEW.DTULTATUGRFS := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('GRUPOFISCAL', '', 'CDGRUPOFISC='||:OLD.CDGRUPOFISC||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE GRUPOFISCAL MODIFY DTULTATUGRFS DEFAULT SYSDATE
/
